POST Create a new storefront zone.
POST /organizations/{organizationId}/storefront-zones
Operation ID: createStorefrontZone. Security: AmOAuth2 (sfcc.cdn-zones.rw).
Create a new storefront zone for the organization. Use this endpoint to set up a new CDN zone with specific configurations for storefront applications.
Parameters
organizationId(path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.
Minimum length: 1. Maximum length: 32. Example:f_ecom_zzxy_prd.Example
f_ecom_zzxy_prd
Request body (required)
Media type: application/json. Schema: StorefrontZoneCreateRequest.
Example: StorefrontZoneCreateRequestBodyExample
{
"domainName": "cc-merchant.com"
}
Responses
- 201
Successfully created new storefront zone.
Media type:
application/json. Schema:StorefrontZoneCreateEnvelope.Example: StorefrontZoneCreateResponse
{ "data": { "zoneId": "023e105f4ecef8ad9ca31a8372d0c353", "zoneName": "stg-zzzz-cc-merchant-com.cc-ecdn.net", "createdOn": "2022-01-01T05:20:00.12345Z", "status": "active" } } - 400
The request sent by the caller is not valid.
Media type:
application/problem+json. Schema:ErrorResponse.Example: BadRequest
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request", "title": "Bad Request", "detail": "Request body contains 1 or more attributes that contains errors." } - 401
The caller is not authorized to access the requested resource.
Media type:
application/problem+json. Schema:ErrorResponse.Example: Unauthorized
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized", "title": "UnAuthorized Access", "detail": "The authorization token passed is no longer valid" } - 403
The caller does not have access to the requested resource.
Media type:
application/problem+json. Schema:ErrorResponse.Example: Forbidden
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access", "title": "Forbidden", "detail": "Access to requested resource is forbidden." } - 404
The resource requested by the caller was not found.
Media type:
application/problem+json. Schema:ErrorResponse.Example: NotFound
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found", "title": "Not Found", "detail": "Requested resource was not found" } - 500
An error occurred on the server side.
Media type:
application/problem+json. Schema:ErrorResponse.Example: InternalServerError
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/internal-server", "title": "Internal Server Error", "detail": "An internal server error occured. Please contact support." }